Skip to main content

Snooze Message

POST/api/v1/mail/messages/{id}/snooze

Overview

Snooze a message until a specific time. The message is moved to a "Snoozed" folder and its original folder is preserved. Use DELETE to unsnooze early.

Path Parameters

idintegerrequired

Message ID

Request Body

snoozed_untilstringrequired

ISO 8601 timestamp for when the message should reappear

Snooze

curl -X POST "https://spideriq.ai/api/v1/mail/messages/42/snooze" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer <client_id>:<api_key>:<api_secret>" \
-d '{
"snoozed_until": "2026-03-25T09:00:00Z"
}'

Unsnooze

DELETE/api/v1/mail/messages/{id}/snooze
curl -X DELETE "https://spideriq.ai/api/v1/mail/messages/42/snooze" \
-H "Authorization: Bearer <client_id>:<api_key>:<api_secret>"

Returns the message to its original folder.

List Snoozed

GET/api/v1/mail/snoozed
curl "https://spideriq.ai/api/v1/mail/snoozed?email=alice@company.com" \
-H "Authorization: Bearer <client_id>:<api_key>:<api_secret>"